module git.inverse.ca/inverse/fingerbank-collector

go 1.18

require (
	git.inverse.ca/inverse/fingerbank-api-golang v1.0.10-feature-aaa-v2-1.0.20220429151329-096a11c62e0a
	git.inverse.ca/inverse/goqosmos v0.0.0-20220302181810-61c3720a3920
	github.com/bronze1man/radius v0.0.0-20180530005926-721cfbe34854
	github.com/davecgh/go-spew v1.1.1
	github.com/dreadl0ck/ja3 v1.0.0
	github.com/dreadl0ck/tlsx v1.0.0
	github.com/fvbommel/sortorder v1.0.2
	github.com/gin-gonic/gin v1.7.1
	github.com/go-ini/ini v1.51.1-0.20191120020313-6982260a37d4
	github.com/google/gopacket v1.1.19
	github.com/google/uuid v1.2.0
	github.com/hashicorp/golang-lru v0.5.4
	github.com/inconshreveable/log15 v0.0.0-20180818164646-67afb5ed74ec
	github.com/inverse-inc/go-utils v0.0.0-20210420024101-48a17e73abae
	github.com/inverse-inc/packetfence-dhcp-forwarder v0.0.0-20221018181344-3f8aa982e3de
	github.com/inverse-inc/packetfence/go v0.0.0-20220429172432-9249ac9197fd
	github.com/mailru/easyjson v0.7.7
	github.com/mdlayher/arp v0.0.0-20191213142603-f72070a231fc
	github.com/mitchellh/go-ps v1.0.0
	github.com/mushorg/go-dpi v0.0.0-20211208165208-05000d80b411
	github.com/patrickmn/go-cache v2.1.0+incompatible
	gopkg.in/alexcesaro/statsd.v2 v2.0.0
)

require (
	github.com/cevaris/ordered_map v0.0.0-20190319150403-3adeae072e73 // indirect
	github.com/fsnotify/fsnotify v1.5.4 // indirect
	github.com/gin-contrib/sse v0.1.0 // indirect
	github.com/go-playground/locales v0.13.0 // indirect
	github.com/go-playground/universal-translator v0.17.0 // indirect
	github.com/go-playground/validator/v10 v10.6.1 // indirect
	github.com/go-stack/stack v1.8.0 // indirect
	github.com/golang/protobuf v1.5.2 // indirect
	github.com/hashicorp/hcl v1.0.0 // indirect
	github.com/josharian/intern v1.0.0 // indirect
	github.com/json-iterator/go v1.1.12 // indirect
	github.com/karlseguin/ccache v2.0.3+incompatible // indirect
	github.com/kr/pretty v0.3.0 // indirect
	github.com/kr/text v0.2.0 // indirect
	github.com/leodido/go-urn v1.2.1 // indirect
	github.com/magiconair/properties v1.8.6 // indirect
	github.com/mattn/go-colorable v0.1.12 // indirect
	github.com/mattn/go-isatty v0.0.14 // indirect
	github.com/mdlayher/ethernet v0.0.0-20190313224307-5b5fc417d966 // indirect
	github.com/mdlayher/raw v0.0.0-20190313224157-43dbcdd7739d // indirect
	github.com/mitchellh/mapstructure v1.5.0 // indirect
	github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd // indirect
	github.com/modern-go/reflect2 v1.0.2 // indirect
	github.com/pelletier/go-toml v1.9.5 // indirect
	github.com/pelletier/go-toml/v2 v2.0.5 // indirect
	github.com/pkg/errors v0.9.1 // indirect
	github.com/rogpeppe/go-internal v1.6.1 // indirect
	github.com/spf13/afero v1.8.2 // indirect
	github.com/spf13/cast v1.5.0 // indirect
	github.com/spf13/jwalterweatherman v1.1.0 // indirect
	github.com/spf13/pflag v1.0.5 // indirect
	github.com/spf13/viper v1.13.0 // indirect
	github.com/subosito/gotenv v1.4.1 // indirect
	github.com/ugorji/go/codec v1.2.6 // indirect
	golang.org/x/crypto v0.0.0-20220411220226-7b82a4e95df4 // indirect
	golang.org/x/net v0.0.0-20220520000938-2e3eb7b945c2 // indirect
	golang.org/x/sys v0.0.0-20220520151302-bc2c85ada10a // indirect
	golang.org/x/text v0.3.7 // indirect
	google.golang.org/protobuf v1.28.0 // indirect
	gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c // indirect
	gopkg.in/ini.v1 v1.67.0 // indirect
	gopkg.in/yaml.v2 v2.4.0 // indirect
	gopkg.in/yaml.v3 v3.0.1 // indirect
)

replace github.com/mushorg/go-dpi => git.inverse.ca/inverse/go-dpi v0.0.0-20220414180418-6c7dc957ca4d
