package packetfence

import (
	"context"
	"fmt"
	"os"
	"os/exec"
)

func checkPackageInstall(ctx context.Context, pkg string) bool {
	var pkgError error

	if _, err := os.Stat("/etc/redhat-release"); err == nil {
		pkgError = exec.Command("rpm", "-q", pkg).Run()
	} else if _, err := os.Stat("/etc/debian_version"); err == nil {
		pkgError = exec.Command("dpkg", "-l", pkg).Run()
	} else {
		fmt.Println("Failed check 052268c3-8b6a-4624-872d-1f39b32e9428")
		return false
	}

	if pkgError != nil {
		fmt.Println("Failed check 969aef9d-fe83-4ba0-ba47-20187197127a")
		return false
	}

	return true
}
