package fcreplication

import (
	"time"
)

type REPEndpointDataReplace struct {
	Timestamp  time.Time
	MacAddress string `json:"mac_address"`
	// Since the update process works by unmarshiling JSON into an EndpointData struct, we don't want to have it decoded since we'd have to re-encode it to unmarshal it into the struct
	EndpointDataJSON []byte `json:"endpoint_data_json"`
}
