package fcreplication

import (
	"time"
)

type REPEndpointDataUpdate struct {
	Timestamp  time.Time
	MacAddress string `json:"mac_address"`
	// Since the update process works by unmarshiling JSON into an EndpointData struct, we don't want to have it decoded since we'd have to re-encode it to unmarshal it into the struct
	DeltaEndpointDataJSON []byte   `json:"delta_endpoint_data_json"`
	BootSequenceEvents    []string `json:"boot_sequence_events"`
}
